Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 23 Oct 2014, 06:16
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Virtualization
Wine - run Windows programs in Linux
Post new topic   Reply to topic View previous topic :: View next topic
Page 5 of 5 [74 Posts]   Goto page: Previous 1, 2, 3, 4, 5
Author Message
version2013

Joined: 08 Sep 2013
Posts: 84

PostPosted: Tue 15 Jul 2014, 21:02    Post subject: Wine 1.7.22  

my attempt at compiling wine-1.7.22

wine-1.7.22-i486_v1.1.pet _______ puppy 431 | stripped=true | mirrors
wine-1.7.22-i486_v1.2.pet _______ puppy 431 | stripped=false | mirrors
wine-1.7.22-i486_v2.1.pet _______ racy puppy 5.5 | stripped=true | mirrors
wine-1.7.22-i486_v2.2.pet _______ racy puppy 5.5 | stripped=false | mirrors
wine_DEV-1.7.22-i486_v1.pet ____ puppy 431 | mirrors
wine_DEV-1.7.22-i486_v2.pet ____ racy puppy 5.5 | mirrors
wine_DOC-1.7.22-i486.pet _______ mirrors
wine_extras-v2.pet _____________ menu entries | mirrors
md5.txt and hashdeep.txt _________ mirrors


If you are not going to submit bug reports to WineHQ, I recommend packages that are 'stripped=true'
If you are going to submit bug reports to WineHQ, I recommend packages that are 'stripped=false'
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------
puppy 431 ->

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'
_________ mirrors _________
/distro/4.3__1/puppies-431.1-main-Xserver.iso
/distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly not work with a glibc before 2.6.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:
_________ mirrors _________
/fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet
/fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet
/gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
/gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
/lcms2/2.5/lcms2-2.5-i486_v2.pet
/lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
/libelf/0.8.13/libelf-0.8.13-i486_v2.pet
/libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
/libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
/libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
/libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
/libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
/libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet
/libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet
/libtasn1/2.9/libtasn1-2.9-i486-431.pet
/libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
/libusb/1.0.9/libusb-1.0.9-i486_v2.pet
/libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet
/mpg123/1.12.4/mpg123-1.12.4.pet
/mpg123/1.12.4/mpg123_DEV-1.12.4.pet
/openldap/2.4.13/openldap-2.4.13-i486.pet
/openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
/prelink/20130503/prelink-20130503-i486_v2.pet
/xorg/7.3/xorg_xorg_full_dri-7.3.pet
/xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet


When compiling, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- puppy 431
----------------------------------------------------------------------------------------------------------
racy puppy 5.5 ->

I compiled using Racy 5.5
_________ mirrors _________
/distro/racy5.5/racy-5.5.iso
/distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy5.5' will possibly not work with a glibc before 2.10.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:
_________ mirrors _________
/fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet
/fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet
/gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
/gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
/lcms2/2.5/lcms2-2.5-i486_v2.pet
/lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
/libelf/0.8.13/libelf-0.8.13-i486_v2.pet
/libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
/libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
/libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
/libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
/libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
/libtasn1/2.9/libtasn1-2.9-i486-431.pet
/libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
/mpg123/1.12.4/mpg123-1.12.4.pet
/mpg123/1.12.4/mpg123_DEV-1.12.4.pet
/openldap/2.4.13/openldap-2.4.13-i486.pet
/openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
/prelink/20130503/prelink-20130503-i486_v2.pet


When compiling in racy puppy 5.5, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- racy puppy 5.5
----------------------------------------------------------------------------------------------------------


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 84

PostPosted: Mon 28 Jul 2014, 17:46    Post subject: Wine 1.7.23  

my attempt at compiling wine-1.7.23

wine-1.7.23-i486_v1.1.pet _______ puppy 431 | stripped=true | mirrors
wine-1.7.23-i486_v1.2.pet _______ puppy 431 | stripped=false | mirrors
wine-1.7.23-i486_v2.1.pet _______ racy puppy 5.5 | stripped=true | mirrors
wine-1.7.23-i486_v2.2.pet _______ racy puppy 5.5 | stripped=false | mirrors
wine_DEV-1.7.23-i486_v1.pet ____ puppy 431 | mirrors
wine_DEV-1.7.23-i486_v2.pet ____ racy puppy 5.5 | mirrors
wine_DOC-1.7.23-i486.pet _______ mirrors
wine_extras-v2.pet _____________ menu entries | mirrors
md5.txt and hashdeep.txt _________ mirrors


If you are not going to submit bug reports to WineHQ, I recommend packages that are 'stripped=true'
If you are going to submit bug reports to WineHQ, I recommend packages that are 'stripped=false'
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------
puppy 431 ->

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'
_________ mirrors _________
/distro/4.3__1/puppies-431.1-main-Xserver.iso
/distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly not work with a glibc before 2.6.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:
_________ mirrors _________
/fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet
/fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet
/gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
/gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
/lcms2/2.5/lcms2-2.5-i486_v2.pet
/lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
/libelf/0.8.13/libelf-0.8.13-i486_v2.pet
/libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
/libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
/libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
/libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
/libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
/libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet
/libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet
/libtasn1/2.9/libtasn1-2.9-i486-431.pet
/libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
/libusb/1.0.9/libusb-1.0.9-i486_v2.pet
/libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet
/mpg123/1.12.4/mpg123-1.12.4.pet
/mpg123/1.12.4/mpg123_DEV-1.12.4.pet
/openldap/2.4.13/openldap-2.4.13-i486.pet
/openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
/prelink/20130503/prelink-20130503-i486_v2.pet
/xorg/7.3/xorg_xorg_full_dri-7.3.pet
/xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet


When compiling, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- puppy 431
----------------------------------------------------------------------------------------------------------
racy puppy 5.5 ->

I compiled using Racy 5.5
_________ mirrors _________
/distro/racy5.5/racy-5.5.iso
/distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy5.5' will possibly not work with a glibc before 2.10.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:
_________ mirrors _________
/fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet
/fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet
/gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
/gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
/lcms2/2.5/lcms2-2.5-i486_v2.pet
/lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
/libelf/0.8.13/libelf-0.8.13-i486_v2.pet
/libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
/libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
/libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
/libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
/libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
/libtasn1/2.9/libtasn1-2.9-i486-431.pet
/libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
/mpg123/1.12.4/mpg123-1.12.4.pet
/mpg123/1.12.4/mpg123_DEV-1.12.4.pet
/openldap/2.4.13/openldap-2.4.13-i486.pet
/openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
/prelink/20130503/prelink-20130503-i486_v2.pet


When compiling in racy puppy 5.5, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- racy puppy 5.5
----------------------------------------------------------------------------------------------------------


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
bigpup


Joined: 11 Oct 2009
Posts: 5235
Location: Charleston S.C. USA

PostPosted: Thu 07 Aug 2014, 19:50    Post subject:  

Which pet should I use on Slacko 5.7 or Precise 5.7.1?

Thanks for keeping up with pets of Wine Exclamation Exclamation Exclamation Very Happy Very Happy

Making pets compiled in/for Puppy 4.3.1 and Racy Puppy 5.5.
Not really sure if Puppy 4.3.1 and Racy Puppy 5.5 are used that much anymore by people.

I know Puppy has gone thru a lot of changes and improvements since those versions appeared.
Not sure if these pets are 100% compatible with the newest versions of Puppy.

If I point someone to this topic. They are confused as to what pet to use, on other versions of Puppy, like Precise, Slacko, Lucid Puppy, etc...

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
Illutorium

Joined: 06 Aug 2014
Posts: 18

PostPosted: Fri 08 Aug 2014, 09:53    Post subject:  

bigpup wrote:
Which pet should I use on Slacko 5.7 or Precise 5.7.1?

Thanks for keeping up with pets of Wine Exclamation Exclamation Exclamation Very Happy Very Happy

Making pets compiled in/for Puppy 4.3.1 and Racy Puppy 5.5.
Not really sure if Puppy 4.3.1 and Racy Puppy 5.5 are used that much anymore by people.

I know Puppy has gone thru a lot of changes and improvements since those versions appeared.
Not sure if these pets are 100% compatible with the newest versions of Puppy.

If I point someone to this topic. They are confused as to what pet to use, on other versions of Puppy, like Precise, Slacko, Lucid Puppy, etc...


I tested with a Newest Wine at 32bit. Works around. (64bit OS are be never compatible with 32bit Wine. - because that's depend a library... - More at http://www.murga-linux.com/puppy/viewtopic.php?t=89950 - with "Win64" are be not create a 32bit,Only be haves a 64bit instead...)
When it's not important if you want to Use on a Newest 32bit OS'es at Puppy linux (When I will be wait to 1.7.24 for a 64bit Build Because I downloaded at Newest Fatdog with glibc 2.19...)
Back to top
View user's profile Send private message 
version2013

Joined: 08 Sep 2013
Posts: 84

PostPosted: Mon 11 Aug 2014, 23:14    Post subject: Wine 1.7.24  

my attempt at compiling wine-1.7.24

wine-1.7.24-i486_v1.1.pet _______ puppy 431 | stripped=true | mirrors
wine-1.7.24-i486_v1.2.pet _______ puppy 431 | stripped=false | mirrors
wine-1.7.24-i486_v2.1.pet _______ racy puppy 5.5 | stripped=true | mirrors
wine-1.7.24-i486_v2.2.pet _______ racy puppy 5.5 | stripped=false | mirrors
wine_DEV-1.7.24-i486_v1.pet ____ puppy 431 | mirrors
wine_DEV-1.7.24-i486_v2.pet ____ racy puppy 5.5 | mirrors
wine_DOC-1.7.24-i486.pet _______ mirrors
wine_extras-v2.pet _____________ menu entries | mirrors
md5.txt and hashdeep.txt _________ mirrors


If you are not going to submit bug reports to WineHQ, I recommend packages that are 'stripped=true'
If you are going to submit bug reports to WineHQ, I recommend packages that are 'stripped=false'
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------
puppy 431 ->

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'
_________ mirrors _________
/distro/4.3__1/puppies-431.1-main-Xserver.iso
/distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly not work with a glibc before 2.6.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:
_________ mirrors _________
/fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet
/fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet
/gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
/gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
/lcms2/2.5/lcms2-2.5-i486_v2.pet
/lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
/libelf/0.8.13/libelf-0.8.13-i486_v2.pet
/libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
/libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
/libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
/libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
/libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
/libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet
/libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet
/libtasn1/2.9/libtasn1-2.9-i486-431.pet
/libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
/libusb/1.0.9/libusb-1.0.9-i486_v2.pet
/libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet
/mpg123/1.12.4/mpg123-1.12.4.pet
/mpg123/1.12.4/mpg123_DEV-1.12.4.pet
/openldap/2.4.13/openldap-2.4.13-i486.pet
/openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
/prelink/20130503/prelink-20130503-i486_v2.pet
/xorg/7.3/xorg_xorg_full_dri-7.3.pet
/xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet


When compiling, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- puppy 431
----------------------------------------------------------------------------------------------------------
racy puppy 5.5 ->

I compiled using Racy 5.5
_________ mirrors _________
/distro/racy5.5/racy-5.5.iso
/distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy5.5' will possibly not work with a glibc before 2.10.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:
_________ mirrors _________
/fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet
/fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet
/gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
/gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
/lcms2/2.5/lcms2-2.5-i486_v2.pet
/lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
/libelf/0.8.13/libelf-0.8.13-i486_v2.pet
/libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
/libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
/libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
/libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
/libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
/libtasn1/2.9/libtasn1-2.9-i486-431.pet
/libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
/mpg123/1.12.4/mpg123-1.12.4.pet
/mpg123/1.12.4/mpg123_DEV-1.12.4.pet
/openldap/2.4.13/openldap-2.4.13-i486.pet
/openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
/prelink/20130503/prelink-20130503-i486_v2.pet


When compiling in racy puppy 5.5, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- racy puppy 5.5
----------------------------------------------------------------------------------------------------------


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 84

PostPosted: Tue 12 Aug 2014, 10:21    Post subject:  

bigpup wrote:
Which pet should I use on Slacko 5.7 or Precise 5.7.1?

Thanks for keeping up with pets of Wine Exclamation Exclamation Exclamation Very Happy Very Happy

Making pets compiled in/for Puppy 4.3.1 and Racy Puppy 5.5.
Not really sure if Puppy 4.3.1 and Racy Puppy 5.5 are used that much anymore by people.

I know Puppy has gone thru a lot of changes and improvements since those versions appeared.
Not sure if these pets are 100% compatible with the newest versions of Puppy.

If I point someone to this topic. They are confused as to what pet to use, on other versions of Puppy, like Precise, Slacko, Lucid Puppy, etc...

Here are some reasons why I chose Racy to compile in. -> post

I was aiming for a low common denominator.
Here is a simplified view of my understanding of glibc:
compiling in low glibc version -> app can run in higher glibc version.
compiling in high glibc version -> app can not run in lower glibc version.
Back to top
View user's profile Send private message Visit poster's website 
Geoffrey


Joined: 30 May 2010
Posts: 1430
Location: Queensland Australia ɹǝpu∩uʍop

PostPosted: Tue 12 Aug 2014, 18:48    Post subject:  

version2013 wrote:
bigpup wrote:
Which pet should I use on Slacko 5.7 or Precise 5.7.1?

Thanks for keeping up with pets of Wine Exclamation Exclamation Exclamation Very Happy Very Happy

Making pets compiled in/for Puppy 4.3.1 and Racy Puppy 5.5.
Not really sure if Puppy 4.3.1 and Racy Puppy 5.5 are used that much anymore by people.

I know Puppy has gone thru a lot of changes and improvements since those versions appeared.
Not sure if these pets are 100% compatible with the newest versions of Puppy.

If I point someone to this topic. They are confused as to what pet to use, on other versions of Puppy, like Precise, Slacko, Lucid Puppy, etc...

Here are some reasons why I chose Racy to compile in. -> post

I was aiming for a low common denominator.
Here is a simplified view of my understanding of glibc:
compiling in low glibc version -> app can run in higher glibc version.
compiling in high glibc version -> app can not run in lower glibc version.


Thanks for the wine versions, I use the Racy builds in Caroline. Smile

_________________
Carolina: Recent Repository Additions
Create strikethrough text HERE
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 5235
Location: Charleston S.C. USA

PostPosted: Wed 13 Aug 2014, 01:37    Post subject:  

Thanks version2013 for the info.

I understand your reasoning and you know what works better than me.

My main question was what version of your Wine pets should work on the latest versions of Puppy?

Your answer is the Racy 5.5 pets?

Could you maybe put that information in the first post of this topic?

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
FeodorF


Joined: 07 Jul 2010
Posts: 173
Location: Heidelberg, Germany

PostPosted: Wed 13 Aug 2014, 05:47    Post subject: Wine pets for Puppy Precise 5.7.1 & Slacko 5.7.0  

Hello bigpup!

bigpup wrote:

Your answer is the Racy 5.5 pets?


Download this pet for Precise 5.7.1 and Slacko 5,7,0 . 'wine-1.7.24-i486_v2.1.pet_____racy puppy 5.5' download link It'll work fine.

For updating the menu you'll need this one wine_extras-v2.pet _____________ menu entries

Also download the libmpg123. Some programs use this file by default. They therefore check for the physical existence of this file in /usr/lib .

/mpg123/1.12.4/mpg123-1.12.4.pet you'll find it here

Testing of wine & programs starts here: http://www.murga-linux.com/puppy/viewtopic.php?p=768495#768495
Back to top
View user's profile Send private message 
version2013

Joined: 08 Sep 2013
Posts: 84

PostPosted: Sun 24 Aug 2014, 22:47    Post subject: Wine 1.7.25  

my attempt at compiling wine-1.7.25

wine-1.7.25-i486_v1.1.pet _______ puppy 431 | stripped=true | -> *
wine-1.7.25-i486_v1.2.pet _______ puppy 431 | stripped=false | -> *
wine-1.7.25-i486_v2.1.pet _______ racy puppy 5.5 | stripped=true | -> *
wine-1.7.25-i486_v2.2.pet _______ racy puppy 5.5 | stripped=false | -> *
wine_DEV-1.7.25-i486_v1.pet ____ puppy 431 | -> *
wine_DEV-1.7.25-i486_v2.pet ____ racy puppy 5.5 | -> *
wine_DOC-1.7.25-i486.pet _______ -> *
* mirrors

wine_extras-v2.pet _____________ menu entries | mirrors
md5.txt and hashdeep.txt _________ mirrors


If you are not going to submit bug reports to WineHQ, I recommend packages that are 'stripped=true'
If you are going to submit bug reports to WineHQ, I recommend packages that are 'stripped=false'
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------
puppy 431 ->

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'
_________ mirrors _________
/distro/4.3__1/puppies-431.1-main-Xserver.iso
/distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly not work with a glibc before 2.6.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:
_________ mirrors _________
/fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet
/fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet
/gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
/gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
/lcms2/2.5/lcms2-2.5-i486_v2.pet
/lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
/libelf/0.8.13/libelf-0.8.13-i486_v2.pet
/libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
/libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
/libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
/libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
/libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
/libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet
/libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet
/libtasn1/2.9/libtasn1-2.9-i486-431.pet
/libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
/libusb/1.0.9/libusb-1.0.9-i486_v2.pet
/libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet
/mpg123/1.12.4/mpg123-1.12.4.pet
/mpg123/1.12.4/mpg123_DEV-1.12.4.pet
/openldap/2.4.13/openldap-2.4.13-i486.pet
/openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
/prelink/20130503/prelink-20130503-i486_v2.pet
/xorg/7.3/xorg_xorg_full_dri-7.3.pet
/xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet


When compiling, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- puppy 431
----------------------------------------------------------------------------------------------------------
racy puppy 5.5 ->

I compiled using Racy 5.5
_________ mirrors _________
/distro/racy5.5/racy-5.5.iso
/distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy5.5' will possibly not work with a glibc before 2.10.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:
_________ mirrors _________
/fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet
/fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet
/gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
/gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
/lcms2/2.5/lcms2-2.5-i486_v2.pet
/lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
/libelf/0.8.13/libelf-0.8.13-i486_v2.pet
/libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
/libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
/libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
/libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
/libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
/libtasn1/2.9/libtasn1-2.9-i486-431.pet
/libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
/mpg123/1.12.4/mpg123-1.12.4.pet
/mpg123/1.12.4/mpg123_DEV-1.12.4.pet
/openldap/2.4.13/openldap-2.4.13-i486.pet
/openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
/prelink/20130503/prelink-20130503-i486_v2.pet


When compiling in racy puppy 5.5, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- racy puppy 5.5
----------------------------------------------------------------------------------------------------------


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 84

PostPosted: Tue 09 Sep 2014, 22:17    Post subject: Wine 1.7.26  

my attempt at compiling wine-1.7.26

wine-1.7.26-i486_v1.1.pet _______ puppy 431 | stripped=true | -> *
wine-1.7.26-i486_v1.2.pet _______ puppy 431 | stripped=false | -> *
wine-1.7.26-i486_v2.1.pet _______ racy puppy 5.5 | stripped=true | -> *
wine-1.7.26-i486_v2.2.pet _______ racy puppy 5.5 | stripped=false | -> *
wine_DEV-1.7.26-i486_v1.pet ____ puppy 431 | -> *
wine_DEV-1.7.26-i486_v2.pet ____ racy puppy 5.5 | -> *
wine_DOC-1.7.26-i486.pet _______ -> *
wine_extras-v2.pet _____________ menu entries | mirrors
md5.txt and hashdeep.txt _________ mirrors
* mirrors

If you are not going to submit bug reports to WineHQ, I recommend packages that are 'stripped=true'
If you are going to submit bug reports to WineHQ, I recommend packages that are 'stripped=false'
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------
puppy 431 ->

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'
_________ mirrors _________
/distro/4.3__1/puppies-431.1-main-Xserver.iso
/distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly not work with a glibc before 2.6.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:
_________ mirrors _________
/fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet
/fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet
/gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
/gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
/lcms2/2.5/lcms2-2.5-i486_v2.pet
/lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
/libelf/0.8.13/libelf-0.8.13-i486_v2.pet
/libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
/libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
/libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
/libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
/libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
/libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet
/libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet
/libtasn1/2.9/libtasn1-2.9-i486-431.pet
/libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
/libusb/1.0.9/libusb-1.0.9-i486_v2.pet
/libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet
/mpg123/1.12.4/mpg123-1.12.4.pet
/mpg123/1.12.4/mpg123_DEV-1.12.4.pet
/openldap/2.4.13/openldap-2.4.13-i486.pet
/openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
/prelink/20130503/prelink-20130503-i486_v2.pet
/xorg/7.3/xorg_xorg_full_dri-7.3.pet
/xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet


When compiling, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- puppy 431
----------------------------------------------------------------------------------------------------------
racy puppy 5.5 ->

I compiled using Racy 5.5
_________ mirrors _________
/distro/racy5.5/racy-5.5.iso
/distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy5.5' will possibly not work with a glibc before 2.10.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:
_________ mirrors _________
/fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet
/fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet
/gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
/gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
/lcms2/2.5/lcms2-2.5-i486_v2.pet
/lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
/libelf/0.8.13/libelf-0.8.13-i486_v2.pet
/libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
/libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
/libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
/libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
/libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
/libtasn1/2.9/libtasn1-2.9-i486-431.pet
/libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
/mpg123/1.12.4/mpg123-1.12.4.pet
/mpg123/1.12.4/mpg123_DEV-1.12.4.pet
/openldap/2.4.13/openldap-2.4.13-i486.pet
/openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
/prelink/20130503/prelink-20130503-i486_v2.pet


When compiling in racy puppy 5.5, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- racy puppy 5.5
----------------------------------------------------------------------------------------------------------


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 84

PostPosted: Tue 23 Sep 2014, 16:17    Post subject: Wine 1.7.27  

my attempt at compiling wine-1.7.27

wine-1.7.27-i486_v1.1.pet _______ puppy 431 | stripped=true | -> *
wine-1.7.27-i486_v1.2.pet _______ puppy 431 | stripped=false | -> *
wine-1.7.27-i486_v2.1.pet _______ racy puppy 5.5 | stripped=true | -> *
wine-1.7.27-i486_v2.2.pet _______ racy puppy 5.5 | stripped=false | -> *
wine_DEV-1.7.27-i486_v1.pet ____ puppy 431 | -> *
wine_DEV-1.7.27-i486_v2.pet ____ racy puppy 5.5 | -> *
wine_DOC-1.7.27-i486.pet _______ -> *
wine_extras-v2.pet _____________ menu entries | mirrors
md5.txt and hashdeep.txt _________ mirrors
* mirrors


If you are not going to submit bug reports to WineHQ, I recommend packages that are 'stripped=true'
If you are going to submit bug reports to WineHQ, I recommend packages that are 'stripped=false'
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------
puppy 431 ->

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'
_________ mirrors _________
/distro/4.3__1/puppies-431.1-main-Xserver.iso
/distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly not work with a glibc before 2.6.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:
_________ mirrors _________
/fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet
/fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet
/gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
/gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
/lcms2/2.5/lcms2-2.5-i486_v2.pet
/lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
/libelf/0.8.13/libelf-0.8.13-i486_v2.pet
/libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
/libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
/libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
/libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
/libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
/libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet
/libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet
/libtasn1/2.9/libtasn1-2.9-i486-431.pet
/libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
/libusb/1.0.9/libusb-1.0.9-i486_v2.pet
/libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet
/mpg123/1.12.4/mpg123-1.12.4.pet
/mpg123/1.12.4/mpg123_DEV-1.12.4.pet
/openldap/2.4.13/openldap-2.4.13-i486.pet
/openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
/prelink/20130503/prelink-20130503-i486_v2.pet
/xorg/7.3/xorg_xorg_full_dri-7.3.pet
/xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet


When compiling, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- puppy 431
----------------------------------------------------------------------------------------------------------
racy puppy 5.5 ->

I compiled using Racy 5.5
_________ mirrors _________
/distro/racy5.5/racy-5.5.iso
/distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy5.5' will possibly not work with a glibc before 2.10.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:
_________ mirrors _________
/fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet
/fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet
/gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
/gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
/lcms2/2.5/lcms2-2.5-i486_v2.pet
/lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
/libelf/0.8.13/libelf-0.8.13-i486_v2.pet
/libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
/libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
/libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
/libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
/libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
/libtasn1/2.9/libtasn1-2.9-i486-431.pet
/libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
/mpg123/1.12.4/mpg123-1.12.4.pet
/mpg123/1.12.4/mpg123_DEV-1.12.4.pet
/openldap/2.4.13/openldap-2.4.13-i486.pet
/openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
/prelink/20130503/prelink-20130503-i486_v2.pet


When compiling in racy puppy 5.5, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- racy puppy 5.5
----------------------------------------------------------------------------------------------------------


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 84

PostPosted: Wed 08 Oct 2014, 12:16    Post subject: Wine 1.7.28  

my attempt at compiling wine-1.7.28

wine-1.7.28-i486_v1.1.pet _______ puppy 431 | stripped=true | -> *
wine-1.7.28-i486_v1.2.pet _______ puppy 431 | stripped=false | -> *
wine-1.7.28-i486_v2.1.pet _______ racy puppy 5.5 | stripped=true | -> *
wine-1.7.28-i486_v2.2.pet _______ racy puppy 5.5 | stripped=false | -> *
wine_DEV-1.7.28-i486_v1.pet ____ puppy 431 | -> *
wine_DEV-1.7.28-i486_v2.pet ____ racy puppy 5.5 | -> *
wine_DOC-1.7.28-i486.pet _______ -> *
wine_extras-v2.pet _____________ menu entries | mirrors
md5.txt and hashdeep.txt _________ mirrors
* mirrors


If you are not going to submit bug reports to WineHQ, I recommend packages that are 'stripped=true'
If you are going to submit bug reports to WineHQ, I recommend packages that are 'stripped=false'
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------
puppy 431 ->

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'
_________ mirrors _________
/distro/4.3__1/puppies-431.1-main-Xserver.iso
/distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly not work with a glibc before 2.6.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:
_________ mirrors _________
/fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet
/fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet
/gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
/gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
/lcms2/2.5/lcms2-2.5-i486_v2.pet
/lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
/libelf/0.8.13/libelf-0.8.13-i486_v2.pet
/libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
/libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
/libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
/libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
/libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
/libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet
/libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet
/libtasn1/2.9/libtasn1-2.9-i486-431.pet
/libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
/libusb/1.0.9/libusb-1.0.9-i486_v2.pet
/libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet
/mpg123/1.12.4/mpg123-1.12.4.pet
/mpg123/1.12.4/mpg123_DEV-1.12.4.pet
/openldap/2.4.13/openldap-2.4.13-i486.pet
/openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
/prelink/20130503/prelink-20130503-i486_v2.pet
/xorg/7.3/xorg_xorg_full_dri-7.3.pet
/xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet


When compiling, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- puppy 431
----------------------------------------------------------------------------------------------------------
racy puppy 5.5 ->

I compiled using Racy 5.5
_________ mirrors _________
/distro/racy5.5/racy-5.5.iso
/distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy5.5' will possibly not work with a glibc before 2.10.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:
_________ mirrors _________
/fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet
/fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet
/gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
/gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
/lcms2/2.5/lcms2-2.5-i486_v2.pet
/lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
/libelf/0.8.13/libelf-0.8.13-i486_v2.pet
/libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
/libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
/libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
/libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
/libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
/libtasn1/2.9/libtasn1-2.9-i486-431.pet
/libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
/mpg123/1.12.4/mpg123-1.12.4.pet
/mpg123/1.12.4/mpg123_DEV-1.12.4.pet
/openldap/2.4.13/openldap-2.4.13-i486.pet
/openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
/prelink/20130503/prelink-20130503-i486_v2.pet


When compiling in racy puppy 5.5, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- racy puppy 5.5
----------------------------------------------------------------------------------------------------------


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
version2013

Joined: 08 Sep 2013
Posts: 84

PostPosted: Yesterday, at 23:13    Post subject: Wine 1.7.29  

my attempt at compiling wine-1.7.29

wine-1.7.29-i486_v1.1.pet _______ puppy 431 | stripped=true | -> *
wine-1.7.29-i486_v1.2.pet _______ puppy 431 | stripped=false | -> *
wine-1.7.29-i486_v2.1.pet _______ racy puppy 5.5 | stripped=true | -> *
wine-1.7.29-i486_v2.2.pet _______ racy puppy 5.5 | stripped=false | -> *
wine_DEV-1.7.29-i486_v1.pet ____ puppy 431 | -> *
wine_DEV-1.7.29-i486_v2.pet ____ racy puppy 5.5 | -> *
wine_DOC-1.7.29-i486.pet _______ -> *
wine_extras-v2.pet _____________ menu entries | mirrors
md5.txt and hashdeep.txt _________ mirrors
* mirrors


If you are not going to submit bug reports to WineHQ, I recommend packages that are 'stripped=true'
If you are going to submit bug reports to WineHQ, I recommend packages that are 'stripped=false'
When submitting bug reports to WineHQ, it appears a 'stripped=false' Wine provides more information than a 'stripped=true' Wine.
[references: post | page]

The first post has links to:
pet to sfs scripts, menu entry utilities, and Wine usage tips.

----------------------------------------------------------------------------------------------------------
puppy 431 ->

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'
_________ mirrors _________
/distro/4.3__1/puppies-431.1-main-Xserver.iso
/distro/4.3__1/devx_430.sfs

This puplet uses glibc 2.6.1
The Wine files listing 'puppy 431' will possibly not work with a glibc before 2.6.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:
_________ mirrors _________
/fontconfig/2.7.1/fontconfig-2.7.1-i486-pup4.pet
/fontconfig/2.7.1/fontconfig_DEV-2.7.1-i486-pup4.pet
/gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
/gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
/lcms2/2.5/lcms2-2.5-i486_v2.pet
/lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
/libelf/0.8.13/libelf-0.8.13-i486_v2.pet
/libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
/libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
/libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
/libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
/libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
/libgphoto2/2.5.0/libgphoto2-2.5.0-i486_v2.pet
/libgphoto2/2.5.0/libgphoto2_DEV-2.5.0-i486.pet
/libtasn1/2.9/libtasn1-2.9-i486-431.pet
/libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
/libusb/1.0.9/libusb-1.0.9-i486_v2.pet
/libusb/1.0.9/libusb_DEV-1.0.9-i486_v2.pet
/mpg123/1.12.4/mpg123-1.12.4.pet
/mpg123/1.12.4/mpg123_DEV-1.12.4.pet
/openldap/2.4.13/openldap-2.4.13-i486.pet
/openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
/prelink/20130503/prelink-20130503-i486_v2.pet
/xorg/7.3/xorg_xorg_full_dri-7.3.pet
/xorg/7.3/xorg_xorg_full_dri_DEV-7.3.pet


When compiling, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- puppy 431
----------------------------------------------------------------------------------------------------------
racy puppy 5.5 ->

I compiled using Racy 5.5
_________ mirrors _________
/distro/racy5.5/racy-5.5.iso
/distro/racy5.5/devx_racy_5.5.sfs

This puppy distro uses glibc 2.10.1
The Wine files listing 'racy5.5' will possibly not work with a glibc before 2.10.1
To see what glibc your puppy has.
Code:
ldd --version


I installed these packages (as one sfs file) before compiling:
_________ mirrors _________
/fontconfig/2.8.0/fontconfig-2.8.0-w5c.pet
/fontconfig/2.8.0/fontconfig_DEV-2.8.0-w5c.pet
/gnutls/2.10.5/gnutls-2.10.5-i486-431.pet
/gnutls/2.10.5/gnutls_DEV-2.10.5-i486-431.pet
/lcms2/2.5/lcms2-2.5-i486_v2.pet
/lcms2/2.5/lcms2_DEV-2.5-i486_v2.pet
/libelf/0.8.13/libelf-0.8.13-i486_v2.pet
/libelf/0.8.13/libelf_DEV-0.8.13-i486_v2.pet
/libgcrypt/1.4.6/libgcrypt-1.4.6-i486-431.pet
/libgcrypt/1.4.6/libgcrypt_DEV-1.4.6-i486-431.pet
/libgpg-error/1.10/libgpg-error-1.10-i486-431.pet
/libgpg-error/1.10/libgpg_DEV-error-1.10-i486-431.pet
/libtasn1/2.9/libtasn1-2.9-i486-431.pet
/libtasn1/2.9/libtasn1_DEV-2.9-i486-431.pet
/mpg123/1.12.4/mpg123-1.12.4.pet
/mpg123/1.12.4/mpg123_DEV-1.12.4.pet
/openldap/2.4.13/openldap-2.4.13-i486.pet
/openldap/2.4.13/openldap_DEV-2.4.13-i486.pet
/prelink/20130503/prelink-20130503-i486_v2.pet


When compiling in racy puppy 5.5, I used
Code:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x

<- racy puppy 5.5
----------------------------------------------------------------------------------------------------------


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' [post | page] provided by forum member 'technosaurus'.
I only made a few changes to the contents of that file.

----------------------------------------------------------------------------------------------------------

updated links at my homepage. see below.
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 5 of 5 [74 Posts]   Goto page: Previous 1, 2, 3, 4, 5
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Virtualization
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.2181s ][ Queries: 12 (0.0037s) ][ GZIP on ]